FROM debian:bookworm

SHELL ["/bin/bash", "-c"]

RUN apt-get update
RUN apt-get install -y openssl openssh-client

COPY setup.sh /usr/local/bin/setup.sh
RUN chmod +x /usr/local/bin/setup.sh

ENTRYPOINT ["setup.sh"]
